how to change a dependency in a DEB file

Discussion in 'Kernel Questions' started by vertical98, Jan 25, 2010.

  1. vertical98

    vertical98 New Member

    Ok the header may be off leading but I will try to be concise.

    This is actually Falko's fault.:p He made the fine how to:
    http://www.howtoforge.com/setting-u...lancer-with-haproxy-heartbeat-on-debian-lenny
    and I had to try it out.

    I thought wouldn't it be great to use lighttpd and point the home directories all toward the same share files. This would give me, one place to change, update, and create new home folders for all webservers. Using this howto -
    http://www.howtoforge.com/creating-advanced-mysql-based-vhosts-on-lighttpd-debian-etch
    I figured I would only have to restart lighttpd when I added a new vhost.

    NFS works well enough, but I figured AoE would be better (less overhead, etc). AoE works great except, that you can't share it. So I looked into GFS - http://en.wikipedia.org/wiki/Global_File_System
    and played with it. VERY hard to configure, even on RH (for which it was made and almost zero documentation for Debian. So I looked into a filesystem called PVFS - http://en.wikipedia.org/wiki/Parallel_Virtual_File_System

    Easy to compile, great docs, but one problem, since I am still learning a lot about module-assistant and dpkg-buildpackage. Having enjoyed all the debian howtos on this site, I am still a 'babe-in-the-woods' and have much to learn, much to my dismay.

    I have downloaded the source code from here:
    http://www.pdsi-scidac.org/repository/debian/
    and module-assistant works like a charm, except the module requires libdb4.4-dev.

    www:/usr/src# dpkg --info pvfs-modules-2.6.26-2-686_2.8.1-1+2.6.26-19lenny2_i386.deb
    new debian package, version 2.0.
    size 304836 bytes: control archive= 1054 bytes.
    833 bytes, 20 lines control
    534 bytes, 7 lines md5sums
    246 bytes, 9 lines * postinst #!/bin/sh
    208 bytes, 7 lines * postrm #!/bin/sh
    Package: pvfs-modules-2.6.26-2-686
    Source: pvfs (2.8.1-1)
    Version: 2.8.1-1+2.6.26-19lenny2
    Architecture: i386
    Maintainer: David Brown <dmlb2000@gmail.com>
    Installed-Size: 812
    Depends: linux-modules-2.6.26-2-686 | linux-image-2.6.26-2-686, libdb4.4-dev, libaio-dev
    Provides: pvfs-modules
    Section: contrib/otherosfs
    Priority: extra
    Description: pvfs modules for Linux (kernel 2.6.26-2-686)
    This package contains the set of loadable kernel modules for the
    Parallel Virtual File System (pvfs).
    .
    This package contains the compiled kernel modules for 2.6.26-2-686
    .
    If you have compiled your own kernel, you will most likely need to build
    your own pvfs-modules. The pvfs-source package has been
    provided for use with the Debian's module-assistant or kernel-package
    utilities to produce a version of pvfs-modules for your kernel.

    www:/usr/src#

    4.4 is only available for etch, lenny has 4.6 and 4.2 but not 4.4.
    Now, the module will compile and work flawlessly with libdb4.6-dev ( have tested and tried this), But I want to create deb packages I can add to my own personal repository and update as the kernels update.
    I can add etch to my sources.list and install the libdb4.4-dev, but I would really rather use 4.6 as I can then just apt-get update && apt-get upgrade.
    So the big question and my problem. How can I make the package using m-a install against libdb4.6-dev instead of libdb4.4-dev? Is there a file that lists the dependencies when m-a creates the deb? It compiles fine, just won't install.

    Thanks

    Vertical
     
  2. vertical98

    vertical98 New Member

Share This Page